iseq_compile_data Struct Reference

`#include <iseq.h>`

## Data Fields

VALUE | err_info
VALUE | mark_ary
VALUE | catch_table_ary
struct iseq_label_data * | start_label
struct iseq_label_data * | end_label
struct iseq_label_data * | redo_label
VALUE | current_block
VALUE | ensure_node
VALUE | for_iseq
struct iseq_compile_data_ensure_node_stack * | ensure_node_stack
int | loopval_popped
int | cached_const
struct iseq_compile_data_storage * | storage_head
struct iseq_compile_data_storage * | storage_current
int | last_line
int | last_coverable_line
int | flip_cnt
int | label_no
int | node_level
const rb_compile_option_t * | option

## Detailed Description

Definition at line 77 of file iseq.h.

## Field Documentation

int iseq_compile_data::cached_const

Definition at line 92 of file iseq.h.

VALUE iseq_compile_data::catch_table_ary

Definition at line 81 of file iseq.h.

Referenced by iseq_mark(), iseq_set_exception_table(), and prepare_iseq_build().

VALUE iseq_compile_data::current_block

Definition at line 87 of file iseq.h.

Referenced by iseq_compile_each().

struct iseq_label_data* iseq_compile_data::end_label

Definition at line 85 of file iseq.h.

Referenced by iseq_compile_each(), and rb_iseq_compile_node().

VALUE iseq_compile_data::ensure_node

Definition at line 88 of file iseq.h.

struct iseq_compile_data_ensure_node_stack* iseq_compile_data::ensure_node_stack

Definition at line 90 of file iseq.h.

Referenced by add_ensure_iseq(), iseq_compile_each(), and push_ensure_entry().

VALUE iseq_compile_data::err_info

Definition at line 79 of file iseq.h.

Referenced by cleanup_iseq_build(), iseq_mark(), and prepare_iseq_build().

int iseq_compile_data::flip_cnt

Definition at line 97 of file iseq.h.

Referenced by iseq_compile_each().

VALUE iseq_compile_data::for_iseq

Definition at line 89 of file iseq.h.

int iseq_compile_data::label_no

Definition at line 98 of file iseq.h.

Referenced by new_label_body().

int iseq_compile_data::last_coverable_line

Definition at line 96 of file iseq.h.

Referenced by prepare_iseq_build().

int iseq_compile_data::last_line

Definition at line 95 of file iseq.h.

Referenced by iseq_compile_each(), and rb_iseq_compile_node().

int iseq_compile_data::loopval_popped

Definition at line 91 of file iseq.h.

Referenced by iseq_compile_each().

VALUE iseq_compile_data::mark_ary

Definition at line 80 of file iseq.h.

Referenced by iseq_add_mark_object_compile_time(), iseq_mark(), and prepare_iseq_build().

int iseq_compile_data::node_level

Definition at line 99 of file iseq.h.

const rb_compile_option_t* iseq_compile_data::option

Definition at line 100 of file iseq.h.

Referenced by iseq_compile_each(), iseq_optimize(), iseq_setup(), new_child_iseq(), and prepare_iseq_build().

struct iseq_label_data* iseq_compile_data::redo_label

Definition at line 86 of file iseq.h.

Referenced by iseq_compile_each().

struct iseq_label_data* iseq_compile_data::start_label

Definition at line 84 of file iseq.h.

Referenced by iseq_compile_each(), and rb_iseq_compile_node().

struct iseq_compile_data_storage* iseq_compile_data::storage_current

Definition at line 94 of file iseq.h.

Referenced by compile_data_alloc(), and prepare_iseq_build().

struct iseq_compile_data_storage* iseq_compile_data::storage_head

Definition at line 93 of file iseq.h.

Referenced by compile_data_free(), iseq_memsize(), and prepare_iseq_build().

The documentation for this struct was generated from the following file:

- iseq.h